diff -uNr c6accel_1_00_00_04_orig/soc/app/omap3530/loadmodules_omap3530_c6accel.sh c6accel_1_00_00_04/soc/app/omap3530/loadmodules_omap3530_c6accel.sh
--- c6accel_1_00_00_04_orig/soc/app/omap3530/loadmodules_omap3530_c6accel.sh	2010-07-26 16:18:35.000000000 -0500
+++ c6accel_1_00_00_04/soc/app/omap3530/loadmodules_omap3530_c6accel.sh	2010-09-12 11:50:46.129159981 -0500
@@ -1,4 +1,4 @@
-# loadmodules.sh
+#!/bin/sh
 #
 # Copyright (C) $year Texas Instruments Incorporated - http://www.ti.com/
 #
@@ -11,34 +11,16 @@
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 # Lesser General Public License for more details.
 
-#
-# Default Memory Map
-#
-# Start Addr    Size    Description
-# -------------------------------------------
-# 0x80000000    88 MB   Linux
-# 0x85800000    08 MB   CMEM
-# 0x86800000    24 MB   DDRALGHEAP
-# 0x87800000     6 MB   DDR2 (BIOS, Codecs, Applications)
-# 0x87E00000     1 MB   DSPLINK (MEM)
-# 0x87F00000     4 KB   DSPLINK (RESET)
-# 0x87F01000  1020 KB   unused
-rmmod cmemk.ko
-rmmod lpm_omap3530.ko
-rmmod dsplinkk
-# Allocate 15MB for CMEM
-insmod cmemk.ko phys_start=0x86300000 phys_end=0x87200000 pools=20x4096
+# remove previously loaded cmem to ensure that it configured to use our pool configuration
+rmmod cmemk 2>/dev/null
 
-# insert DSP/BIOS Link driver
-#
-insmod dsplinkk.ko
+# Allocate 15MB for CMEM
+modprobe cmemk phys_start=0x86300000 phys_end=0x87200000 pools=20x4096 allowOverlap=1
+modprobe dsplinkk
+modprobe lpm_omap3530
 
 # make /dev/dsplink
 rm -rf /dev/dsplink
 mknod /dev/dsplink c `awk "\\$2==\"dsplink\" {print \\$1}" /proc/devices` 0
 
 
-# insert Local Power Manager driver
-#
-insmod lpm_omap3530.ko
-
diff -uNr c6accel_1_00_00_04_orig/soc/app/omapl138/loadmodules_omapl138_c6accel.sh c6accel_1_00_00_04/soc/app/omapl138/loadmodules_omapl138_c6accel.sh
--- c6accel_1_00_00_04_orig/soc/app/omapl138/loadmodules_omapl138_c6accel.sh	2010-07-27 09:45:37.000000000 -0500
+++ c6accel_1_00_00_04/soc/app/omapl138/loadmodules_omapl138_c6accel.sh	2010-09-12 11:52:07.193160179 -0500
@@ -1,4 +1,4 @@
-#
+#!/bin/sh
 #  Copyright (c) 2008, Texas Instruments Incorporated
 #  All rights reserved.
 # 
@@ -29,15 +29,14 @@
 #  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 #  EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 #
-rmmod dsplinkk.ko
-rmmod cmemk.ko
+
+# remove previously loaded cmem to ensure that its configured to use our pool configuration.
+rmmod cmemk 2>/dev/null
+
 # insert cmemk, tell it to occupy physical 120MB-128MB, create 
 # 20 4K buffers, 10 128K buffers  and two 1MB buffers
-insmod cmemk.ko phys_start=0xC2000000 phys_end=0xC4000000 pools=20x4096
-
-# insert DSP/BIOS Link driver
-#
-insmod dsplinkk.ko
+modprobe cmemk phys_start=0xC2000000 phys_end=0xC4000000 pools=20x4096 allowOverlap=1
+modprobe dsplinkk
 
 # make /dev/dsplink
 rm -f /dev/dsplink
